## python-testbook 0.4.2

=== requirements.txt ===
nbformat>=5.0.4
nbclient>=0.4.0

=== debian/changelog ===
python-testbook (0.4.2-4) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-ipykernel. Closes: #1116883.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 19:20:00 +0200

python-testbook (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-entrypoints build-dependency.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 00:23:23 +0200

python-testbook (0.4.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Wed, 18 Dec 2024 10:48:25 +0100

python-testbook (0.4.2-1) unstable; urgency=low

  * Initial packaging (Closes: #1089703).

 -- Roland Mas <lolando@debian.org>  Tue, 17 Dec 2024 12:14:42 +0100

=== debian/control ===
Source: python-testbook
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 help2man,
 pybuild-plugin-pyproject,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-azure <!nocheck>,
 python3-azure-datalake-store <!nocheck>,
 python3-boto3 <!nocheck>,
 python3-click <!nocheck>,
 python3-colors <!nocheck>,
 python3-dateutil <!nocheck>,
 python3-ipykernel,
 python3-moto <!nocheck>,
 python3-nbclient <!nocheck>,
 python3-nbformat <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-tenacity <!nocheck>,
 python3-tqdm <!nocheck>,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/nteract/testbook/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-testbook.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-testbook

Package: python3-testbook
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: unit testing framework extension for testing Jupyter Notebooks
 Previous attempts at unit testing notebooks involved writing the
 tests in the notebook itself.  However, testbook will allow for unit
 tests to be run against notebooks in separate test files, hence
 treating .ipynb files as .py files.
 .
 testbook helps you set up conventional unit tests for your Jupyter
 Notebooks.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/nteract/testbook/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
